cURL
curl --request GET \ --url https://api-production.fossapay.com/api/v1/wallets/crypto/{walletId} \ --header 'x-api-key: <x-api-key>'
{ "status": "success", "statusCode": 200, "message": "Crypto wallet retrieved successfully", "data": [ { "address": "GbnnysYh3Y1ZLqPxkaz....76Upv12iP4sNGeHA2H4z2", "network": "solana", "tokens": { "usdc": { "amount": "0", "rawAmount": "0" }, "usdt": { "amount": "0", "rawAmount": "0" } } } ] }
Retrieve crypto wallet details by wallet ID
Documentation IndexFetch the complete documentation index at: https://docs.fossapay.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.fossapay.com/llms.txt
Use this file to discover all available pages before exploring further.
curl -X GET https://api-production.fossapay.com/api/v1/wallets/crypto/user:u3d \ -H "x-api-key: your_api_key_here"
const response = await fetch( 'https://api-production.fossapay.com/api/v1/wallets/crypto/user:u3d', { method: 'GET', headers: { 'x-api-key': 'your_api_key_here', 'Content-Type': 'application/json' } } ); if (!response.ok) { throw new Error(`Request failed: ${response.status} ${response.statusText}`); } const wallet = await response.json();